#!/usr/bin/env python3
#
#   Copyright 2020 - The Android Open Source Project
#
#   Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
#   You may obtain a copy of the License at
#
#       http://www.apache.org/licenses/LICENSE-2.0
#
#   Unless required by applicable law or agreed to in writing, software
#   distributed under the License is distributed on an "AS IS" BASIS,
#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#   See the License for the specific language governing permissions and
#   limitations under the License.

from acts_contrib.test_utils.instrumentation.power.vzwdou import vzw_dou_base_test

class VzwDoUIdleTest(vzw_dou_base_test.VzwDoUBaseTest):
  """Class for running VZW DoU idle test cases"""

  def test_vzw_dou_idle(self):
    """Measures power when the device is in a rock bottom state."""
    metrics = self.run_and_measure(
        'com.google.android.platform.dou.IdleStandbyModeTests',
        'testIdleStandbyMode')

    self.record_metrics(metrics)
    self.validate_metrics(metrics)

